For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • File Picker
          • The File object
          • GET/files
          • POST/files
          • GET/files/{id}
          • GET/files/{id}/download
          • GET/files/{id}/download/request-meta
          • GET/files/download/request-meta
          • GET/files/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsFiles

/files/meta/post

GET
/filestorage/v1/files/meta/post
GET
/api/filestorage/v1/files/meta/post
$curl https://api.merge.dev/api/filestorage/v1/files/meta/post \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "request_schema": {
3 "type": "object",
4 "properties": {
5 "model": {
6 "type": "object",
7 "required": [
8 "last_name",
9 "first_name",
10 "merge_categories",
11 "new_york_city_neighborhood",
12 "favorite_tv_shows",
13 "favorite_watch"
14 ],
15 "properties": {
16 "email_addresses": {
17 "type": "array",
18 "items": {
19 "type": "object",
20 "properties": {
21 "value": {
22 "type": "string",
23 "title": "value"
24 },
25 "email_address_type": {
26 "type": "string",
27 "title": "email_address_type"
28 },
29 "integration_params": {
30 "type": "object",
31 "title": "integration_params",
32 "properties": {}
33 },
34 "linked_account_params": {
35 "type": "object",
36 "title": "linked_account_params",
37 "properties": {}
38 }
39 }
40 },
41 "title": "email_addresses",
42 "description": "Array of email_addresses objects"
43 },
44 "urls": {
45 "type": "array",
46 "items": {
47 "type": "object",
48 "properties": {
49 "value": {
50 "type": "string",
51 "title": "value"
52 },
53 "url_type": {
54 "type": "string",
55 "title": "url_type"
56 },
57 "integration_params": {
58 "type": "object",
59 "title": "integration_params",
60 "properties": {}
61 },
62 "linked_account_params": {
63 "type": "object",
64 "title": "linked_account_params",
65 "properties": {}
66 }
67 }
68 },
69 "title": "urls",
70 "description": "Array of urls objects"
71 },
72 "first_name": {
73 "type": "string",
74 "title": "first_name",
75 "description": "The first name."
76 },
77 "last_name": {
78 "type": "string",
79 "title": "last_name",
80 "description": "The last name."
81 },
82 "phone_numbers": {
83 "type": "array",
84 "items": {
85 "type": "object",
86 "properties": {
87 "value": {
88 "type": "string",
89 "title": "value"
90 },
91 "phone_number_type": {
92 "type": "string",
93 "title": "phone_number_type"
94 },
95 "integration_params": {
96 "type": "object",
97 "title": "integration_params",
98 "properties": {}
99 },
100 "linked_account_params": {
101 "type": "object",
102 "title": "linked_account_params",
103 "properties": {}
104 }
105 }
106 },
107 "title": "phone_numbers",
108 "description": "Array of phone_numbers objects"
109 },
110 "tags": {
111 "type": "array",
112 "items": {
113 "type": "string",
114 "format": "uuid"
115 },
116 "title": "tags",
117 "description": "Array of tags names"
118 },
119 "attachments": {
120 "type": "array",
121 "items": {
122 "type": "object",
123 "properties": {
124 "id": {
125 "type": "string",
126 "title": "id"
127 },
128 "file_url": {
129 "type": "string",
130 "title": "file_url"
131 },
132 "file_name": {
133 "type": "string",
134 "title": "file_name"
135 },
136 "attachment_type": {
137 "type": "string",
138 "title": "attachment_type"
139 },
140 "integration_params": {
141 "type": "object",
142 "title": "integration_params",
143 "properties": {}
144 },
145 "linked_account_params": {
146 "type": "object",
147 "title": "linked_account_params",
148 "properties": {}
149 }
150 }
151 },
152 "title": "attachments",
153 "description": "Array of attachments objects "
154 },
155 "merge_categories": {
156 "type": "array",
157 "categories": {
158 "type": "string",
159 "enum": [
160 "HRIS",
161 "ATS",
162 "Accounting",
163 "Ticketing",
164 "File Storage",
165 "CRM",
166 "Marketing Automation"
167 ],
168 "enum_information": [
169 {
170 "value": "HRIS",
171 "description": "Merge HRIS Category"
172 },
173 {
174 "value": "ATS",
175 "description": "Merge ATS Category"
176 },
177 {
178 "value": "Accounting",
179 "description": "Merge Accounting Category"
180 },
181 {
182 "value": "Ticketing",
183 "description": "Merge Ticketing Category"
184 },
185 {
186 "value": "File Storage",
187 "description": "Merge File Storage Category"
188 },
189 {
190 "value": "CRM",
191 "description": "Merge CRM Category"
192 },
193 {
194 "value": "Marketing Automation",
195 "description": "Merge Marketing Automation Category"
196 }
197 ]
198 },
199 "title": "Merge Categories",
200 "description": "Array of Merge's Unified API Categories"
201 },
202 "new_york_city_neighborhood": {
203 "type": "string",
204 "title": "Borough",
205 "description": "One of the 5 Boroughs of New York City"
206 },
207 "favorite_tv_shows": {
208 "type": "array",
209 "items": {
210 "type": "string",
211 "format": "uuid"
212 },
213 "title": "Favorite TV Shows",
214 "description": "Array of TV Show objects on merge.tv_shows"
215 },
216 "favorite_watch": {
217 "type": "string",
218 "title": "Favorite Watch",
219 "description": "Favorite watch of all time"
220 }
221 }
222 }
223 }
224 },
225 "has_conditional_params": true,
226 "has_required_linked_account_params": true,
227 "status": {
228 "linked_account_status": "COMPLETE",
229 "can_make_request": true
230 }
231}

Returns metadata for FileStorageFile POSTs.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/files/download/request-meta

Next

The Folder object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

request_schemamap from strings to any
has_conditional_paramsboolean
has_required_linked_account_paramsboolean
statusobject
remote_fieldslist of strings
Remote field values to populate